Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.common
Interface T3ResourceDef

Deprecated. Deprecated in WebLogic Server 6.1.

public interface T3ResourceDef

A T3ResourceDef defines scarce resource allocation within the WebLogic Server.

Author:
  Copyright (c) 1996-1998 WebLogic, Inc. All Rights Reserved., Copyright (c) 1998-1999 BEA Systems, Inc. All Rights Reserved.
See Also:
  `T3ResourceFactory`

Field Summary
`static int` | `CAPACITY` Deprecated. Maximum number of resources that can be reserved.
`static int` | `CAPACITYINCREMENT` Deprecated. Number by which the size of resource allocation is incremented.
`static int` | `CREATED` Deprecated. Total number of resources recycled during this session.
`static int` | `CURRENTINUSE` Deprecated. Total number of resources currently in use.
`static int` | `ENABLED` Deprecated. Is this pool enabled for use?
`static int` | `INITIALCAPACITY` Deprecated. Initial number of resources that should be reserved.
`static int` | `LASTUSAGE` Deprecated. The last snapshot taken of resources in-use.
`static int` | `POOLUSEHIST` Deprecated. The last snapshot taken of resources in-use, as needed by the console for strip chart construction.
`static int` | `RECYCLED` Deprecated. Total number of resources recycled during this session.
`static int` | `RELEASED` Deprecated. Total number of resources released during this session.
`static int` | `REQUESTED` Deprecated. Total number of resources requested during this session.
`static int` | `RUNNINGAVERAGE` Deprecated. Running average of resources in-use.
`static int` | `SIZE` Deprecated. Number of resources currently reserved.

Method Summary
`int` | `getInfo(int infoItem)` Deprecated. Deprecated in WebLogic Server 6.1.
`void` | `refreshResources()` Deprecated. Deprecated in WebLogic Server 6.1.
`void` | `release(java.lang.Object o)` Deprecated. Deprecated in WebLogic Server 6.1.
`java.lang.Object` | `reserve(java.security.Principal user)` Deprecated. Deprecated in WebLogic Server 6.1.
`java.lang.Object` | `reserveNoWait(java.security.Principal user)` Deprecated. Deprecated in WebLogic Server 6.1. resource available
`java.lang.Object` | `reserveWaitSecs(java.security.Principal user, int waitSecs)` Deprecated. Deprecated in WebLogic Server 6.1.
`void` | `setResourceFactory(T3ResourceFactory rf)` Deprecated. Deprecated in WebLogic Server 6.1.

Field Detail

### SIZE

    public static final int SIZE

  Deprecated.
  Number of resources currently reserved.

### INITIALCAPACITY

    public static final int INITIALCAPACITY

  Deprecated.
  Initial number of resources that should be reserved.

### CAPACITY

    public static final int CAPACITY

  Deprecated.
  Maximum number of resources that can be reserved.

### CAPACITYINCREMENT

    public static final int CAPACITYINCREMENT

  Deprecated.
  Number by which the size of resource allocation is incremented.

### REQUESTED

    public static final int REQUESTED

  Deprecated.
  Total number of resources requested during this session.

### RELEASED

    public static final int RELEASED

  Deprecated.
  Total number of resources released during this session.

### CURRENTINUSE

    public static final int CURRENTINUSE

  Deprecated.
  Total number of resources currently in use.

### CREATED

    public static final int CREATED

  Deprecated.
  Total number of resources recycled during this session.

### RECYCLED

    public static final int RECYCLED

  Deprecated.
  Total number of resources recycled during this session.

### RUNNINGAVERAGE

    public static final int RUNNINGAVERAGE

  Deprecated.
  Running average of resources in-use.

### LASTUSAGE

    public static final int LASTUSAGE

  Deprecated.
  The last snapshot taken of resources in-use.

### POOLUSEHIST

    public static final int POOLUSEHIST

  Deprecated.
  The last snapshot taken of resources in-use, as needed by the console for strip chart construction.

### ENABLED

    public static final int ENABLED

  Deprecated.
  Is this pool enabled for use?

Method Detail

### reserve

    public java.lang.Object reserve(java.security.Principal user)
                             throws ResourceException

  Deprecated. Deprecated in WebLogic Server 6.1.
  Reserves a resource with permission check on behalf of the specified user. If no resource is immediately available, hangs until one is available.

  Parameters:
    `user` - Principal object
  Throws:
    ResourceException - if there is no resource immediately available

### reserveNoWait

    public java.lang.Object reserveNoWait(java.security.Principal user)
                                   throws ResourceException

  Deprecated. Deprecated in WebLogic Server 6.1. resource available
  Reserves a resource with permission check on behalf of the specified user. If no resource is available immediately throws a Resource Exception.

  Parameters:
    `user` - Principal object
  Throws:
    ResourceException - if there is no

### reserveWaitSecs

    public java.lang.Object reserveWaitSecs(java.security.Principal user,
                                            int waitSecs)
                                     throws ResourceException

  Deprecated. Deprecated in WebLogic Server 6.1.
  Reserves a resource with permission check on behalf of the specified user. If no resource is available within waitSecs seconds throws a Resource Exception.

  Parameters:
    `user` - Principal object
    `waitSecs` - Seconds to wait for resource
  Throws:
    ResourceException - if there is no resource available within waitSecs seconds

### release

    public void release(java.lang.Object o)

  Deprecated. Deprecated in WebLogic Server 6.1.
  Releases a reserved resource.

  Parameters:
    `o` - Object that was previously reserved

### setResourceFactory

    public void setResourceFactory(T3ResourceFactory rf)
                            throws ResourceException

  Deprecated. Deprecated in WebLogic Server 6.1.
  Sets the factory to be used for obtaining new resources. When the resource allocator needs a new object, it invokes T3ResourceFactory.createResource().

  Parameters:
    `rf` - Resource factory that allocates objects
  Throws:
    ResourceException - if there is no resource available

### getInfo

    public int getInfo(int infoItem)

  Deprecated. Deprecated in WebLogic Server 6.1.
  Gets information about the resource allocator.

  Parameters:
    `infoItem` - One of the final static ints in this class
  Returns:
    Value for the info item

### refreshResources

    public void refreshResources()
                          throws ResourceException

  Deprecated. Deprecated in WebLogic Server 6.1.
  Refreshes all the resources presently allocated.

  Throws:
    ResourceException - if there is an error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference